Package Details: cpod-git 1.27.1.r6.g2f4e7e3-1

Git Clone URL: https://aur.archlinux.org/cpod-git.git (read-only)
Package Base: cpod-git
Description: A simple, beautiful podcast app
Upstream URL: https://github.com/z-------------/CPod
Licenses: Apache
Conflicts: cpod
Provides: cpod
Replaces: cumulonimbus
Submitter: willemw
Maintainer: willemw
Last Packager: willemw
Votes: 4
Popularity: 0.040719
First Submitted: 2018-04-06 16:18
Last Updated: 2019-05-02 17:05

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

willemw commented on 2019-07-31 09:19

@maderios: Cannot reproduce that error. Try removing the build files and then build again.

maderios commented on 2019-07-31 09:06

I got error:

bsdtar: Error opening archive: Failed to open 'CPod_*.deb' ==> ERROR: A failure occurred in package().

m8D2 commented on 2019-04-09 21:31

Awesome, thanks!

willemw commented on 2019-04-06 06:52

@m8D2: Thanks. Fixed. CPod is not compatible with the latest versions of Node.js.

Also with this update: downloaded files are kept inside the build folder.

Note: anyone, who did a build/install before this update, may want to check and cleanup (remove) the following files and folders: ~/.cache/yarn/ ~/.config/yarn ~/.node-gyp/ ~/.yarn/ ~/.yarnrc.

m8D2 commented on 2019-04-04 23:06

@willemw I have this error during build():

gyp ERR! build error 
gyp ERR! stack Error: `make` failed with exit code: 2
gyp ERR! stack     at ChildProcess.onExit (/home/abcd/.cache/yay/cpod-git/src/cpod-git/node_modules/node-gyp/lib/build.js:258:23)
gyp ERR! stack     at ChildProcess.emit (events.js:193:13)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:255:12)
gyp ERR! System Linux 4.19.33-1-lts
gyp ERR! command "/usr/bin/node" "/home/abcd/.cache/yay/cpod-git/src/cpod-git/node_modules/node-gyp/bin/node-gyp.js" "rebuild" "--verbose" "--libsass_ext=" "--libsass_cflags=" "--libsass_ldflags=" "--libsass_library="
gyp ERR! cwd /home/abcd/.cache/yay/cpod-git/src/cpod-git/node_modules/node-sass
gyp ERR! node -v v11.13.0
gyp ERR! node-gyp -v v3.6.2
gyp ERR! not ok
==> ERROR: A failure occurred in build().
Aborting...

Could you please kindly take a look? Thanks!